rte_swx_ctl_table_info(3)

NAME
rte_swx_ctl_table_info

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

char name [RTE_SWX_CTL_NAME_SIZE]
char args [RTE_SWX_CTL_NAME_SIZE]
uint32_t n_match_fields
uint32_t n_actions
int default_action_is_const
rte_swx_hash_func_t hash_func
uint32_t size

Detailed Description

Table info.

Definition at line 223 of file rte_swx_ctl.h.

Field Documentation

  char name[RTE_SWX_CTL_NAME_SIZE]
Table name.

Definition at line 225 of file rte_swx_ctl.h.

  char args[RTE_SWX_CTL_NAME_SIZE]
Table creation arguments.

Definition at line 228 of file rte_swx_ctl.h.

  uint32_t n_match_fields
Number of match fields.

Definition at line 231 of file rte_swx_ctl.h.

  uint32_t n_actions
Number of actions.

Definition at line 234 of file rte_swx_ctl.h.

  int default_action_is_const
Non-zero (true) when the default action is constant, therefore it cannot be changed; zero (false) when the default action not constant, therefore it can be changed.

Definition at line 240 of file rte_swx_ctl.h.

  rte_swx_hash_func_t hash_func
Hash function.

Definition at line 243 of file rte_swx_ctl.h.

  uint32_t size
Table size parameter.

Definition at line 246 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.